petsc-3.7.1 2016-05-15
Report Typos and Errors

# TSTrajectoryView

Prints information about the trajectory object

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSTrajectoryView(TSTrajectory tj,PetscViewer viewer)

Collective on TSTrajectory Many br

### Input Parameters

| tj | - the TSTrajectory context obtained from TSTrajectoryCreate() Many br
| viewer | - visualization context Many br

### Options Database Key

-ts_trajectory_view -calls TSTrajectoryView() at end of TSAdjointStep() Many br

### Notes

The available visualization contexts include Many br

| PETSC_VIEWER_STDOUT_SELF | - standard output (default) Many br
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard Many broutput where only the first processor opens Many brthe file. All other processors send their Many brdata to the first processor to print. Many br

The user can open an alternative visualization context with Many brPetscViewerASCIIOpen() - output to a specified file. Many br

Many br

### Keywords

TS, timestep, view

### See Also

PetscViewerASCIIOpen()

Level:beginner
Location:src/ts/interfacetraj.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages